//
//  AppDelegate.m
//  PDFViewer
//
//  Created by Markus Bröker on 27.03.17.
//  Copyright © 2017 Markus Bröker. All rights reserved.
//

#import "AppDelegate.h"

@implementation AppDelegate

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification {
}

- (void)applicationWillTerminate:(NSNotification *)aNotification {
    // Insert code here to tear down your application
}

- (BOOL)applicationShouldTerminateAfterLastWindowClosed:(NSApplication *)sender {
    return TRUE;
}

- (BOOL) application:(NSApplication *)sender openFile:(NSString *)filename {
    window = [[[NSApplication sharedApplication] windows] objectAtIndex:0];
    controller = (ViewController*) [window contentViewController];
    
    NSURL *url = [[NSURL alloc] initFileURLWithPath:filename];
    BOOL status = [[controller pdfViewer] loadUrl: url];
    
    if (!status) {
        [[controller pdfViewer] speak:(NSMutableString*)@"Das Dokument konnte nicht geladen werden"];
    } else {
        [[controller pdfViewer] startSpeaking:nil];
    }
    
    return status;
}

- (void) application:(NSApplication *)sender openFiles:(NSArray<NSString *> *)filenames {
    window = [[[NSApplication sharedApplication] windows] objectAtIndex:0];
    controller = (ViewController*) [window contentViewController];
    
    NSString *filename = [filenames objectAtIndex:0];
    NSURL *url = [[NSURL alloc] initFileURLWithPath:filename];
    BOOL status = [[controller pdfViewer] loadUrl: url];
    
    if (!status) {
        [[controller pdfViewer] speak:(NSMutableString*)@"Das Dokument konnte nicht geladen werden"];
    } else {
        [[controller pdfViewer] startSpeaking:nil];
    }
}

@end
